ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Kaufautomat-Basis"
ENT.Category = "Mapobjekte"
ENT.Spawnable = false
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.VendingMachine = true
ENT.Model = Model("models/props/cs_office/vending_machine.mdl")
ENT.Product = "Basis-Gegenstand"
ENT.Price = 500
ENT.NoFreeStuff = false
ENT.AlwaysAvailable = false
ENT.BuyCooldown = 2.5

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 0, "Available")
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end